--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

HelpingText = {};

function HelpingText.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function HelpingText:load(xmlFile)
	self.HelpingText = false;
end;

function HelpingText:delete()
end;

function HelpingText:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HelpingText:keyEvent(unicode, sym, modifier, isDown)
end;

function HelpingText:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_HELPINGTEXT) then
			self.HelpingText = not self.HelpingText;
		end;
	end;
end;



function HelpingText:updateTick(dt)
end;


function HelpingText:draw()
	if not self.HelpingText then
		renderText(0.02, 0.02, 0.02, "Taste Num 5: Haenger Info");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.02, 0.02, 0.02, "Taste Num 5: Haenger Info");
		renderText(0.02, 0.47, 0.02, "- Anheanger: Oelwehr 21 -");
		--renderText(0.02, 0.45, 0.02, "");
		renderText(0.02, 0.43, 0.02, "Stuetze ein-/ausfahren:");
		renderText(0.02, 0.41, 0.02, "hingehen und N oder M druecken");
		--renderText(0.02, 0.39, 0.02, "");
		renderText(0.02, 0.37, 0.02, "Rollaeden oeffen/schliessen:");
		renderText(0.02, 0.35, 0.02, "hingehen und X druecken");
		--renderText(0.02, 0.33, 0.02, "");
		renderText(0.02, 0.31, 0.02, "_Geraet Wechseln: G_");
		renderText(0.02, 0.29, 0.02, "");
        renderText(0.02, 0.27, 0.02, "");
        renderText(0.02, 0.25, 0.02, "");
		renderText(0.02, 0.23, 0.02, "");
		renderText(0.02, 0.21, 0.02, "");
		renderText(0.02, 0.19, 0.02, "");
		renderText(0.02, 0.17, 0.02, "");
		renderText(0.02, 0.15, 0.02, "");
		renderText(0.02, 0.13, 0.02, "");
		renderText(0.02, 0.11, 0.02, "");
		renderText(0.02, 0.09, 0.02, "");
        renderText(0.02, 0.07, 0.02, "");       
	end;
end;  

function HelpingText:onLeave()
	self.HelpingText = false;
end;




